Skip to content
API Reference

Retrieve

client.Organizations.ServiceAccounts.Get(ctx, serviceAccountID, params) (*ServiceAccount, error)
GET/organizations/{organization_id}/service-accounts/{service_account_id}

Get a specific service account

ParametersExpand Collapse
serviceAccountID string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
params OrganizationServiceAccountGetParams
OrganizationID param.Field[string]

Path param: Organization ID or label identifier

minLength1
maxLength255
Expand param.Field[[]string]optional

Query param: Fields to expand in the response. Currently supports "permissions" to include the permissions field with the caller's permissions for the resource.

const OrganizationServiceAccountGetParamsExpandPermissions OrganizationServiceAccountGetParamsExpand = "permissions"
XClientRequestID param.Field[string]optional

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid
ReturnsExpand Collapse
type ServiceAccount struct{…}
ID string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
CreatedAt Time

The time the entity was created in utc

formatdate-time
Name string

A name for the entity to be displayed in UI

UpdatedAt Time

The time the entity was mostly recently updated in utc

formatdate-time
Description stringoptional

Optional description of the service account

Permissions map[string, map[string, bool]]optional

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Retrieve

package main

import (
  "context"
  "fmt"

  "github.com/keycardai/keycard-go"
)

func main() {
  client := keycard.NewClient(

  )
  serviceAccount, err := client.Organizations.ServiceAccounts.Get(
    context.TODO(),
    "ab3def8hij2klm9opq5rst7uvw",
    keycard.OrganizationServiceAccountGetParams{
      OrganizationID: "x",
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", serviceAccount.ID)
}
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}